Bug 133845 - /proc giving false values
/proc giving false values
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-27 16:41 EDT by Michael Holden
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-28 20:20:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Holden 2004-09-27 16:41:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
I have a 1666GHZ processor on the Sony VAIO PCG-FR130 laptop. On a
different harddrive I have installed RH Linux ES and when I go to
/proc then cat cpuinfo, I am able to view the appropriate value for
the cpu (MHZ) field of 1666. I recently bought a new harddrive and
installed Fedora Core 2, which seems to run perfectly, however when I
do a cat /proc/cpuinfo I get the value of 400.243 which is
significantly lower than the installed processor.

I am thinking this a kernel problem as the /proc files are calculated
during initialization.

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358

How reproducible:
Always

Steps to Reproduce:
1.boot
2.cat /proc/cpuinfo
3.
    

Actual Results:  false value for cpu (MHZ) which is 400

Expected Results:  value should be 1666

Additional info:
Comment 1 Dave Jones 2004-10-28 20:20:32 EDT
your laptop has a speed scaling capable processor, which saves battery life.
If you dislike this feature, you can disable it with
chkconfig --level 012345 cpuspeed off

Note You need to log in before you can comment on or make changes to this bug.